Subject: bug#65196: 28.2; gnus-group-make-nnir-group always returns "no messages"

From: "Loris Bennett" <[email-masked]>
Date: Mon, 14 Aug 2023 09:55:33 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Loris Bennett <[email-masked]>
>> Date: Thu, 10 Aug 2023 09:48:53 +0200
>> 
>> 
>> After upgrading Debian from 11 to 12, gnus-group-make-nnir-group always
>> says that the search group contains no messages, even though there are
>> in fact messages in the original group which contain the string searched
>> for.
>> 
>> In *Messages* somethin like the following will appear:
>> 
>>   Opening server fu_exchange
>>   Searching nnimap+fu_exchange:HPC...done
>>   Group nnselect:nnselect-87jzu3z7wb.fsf contains no messages
>> 
>> The configuration in init.el is as follows:
>> 
>>   (setq user-mail-address "[email-masked]")
>> 
>>   (setq message-send-mail-function 'smtpmail-send-it)
>>   (setq smtpmail-smtp-server "mail.zedat.fu-berlin.de")
>>   (setq smtpmail-smtp-service 587)
>> 
>>   (setq gnus-select-method '(nntp "news.fu-berlin.de"))
>>   (setq gnus-secondary-select-methods
>>         (quote
>>          ((nnimap "fu_exchange"
>>                   (nnir-search-engine imap)
>>                   (remove-prefix "nnimap")
>>                   (nnimap-address "mail.zedat.fu-berlin.de")
>>                   (nnimap-record-commands t)
>>                   (nnimap-inbox INBOX)
>>                   (gnus-message-archive-group "nnimap+fu_exchange:Gesendete Elemente")))))
>> 
>> The same problem occurs with nntp groups (not configured in this test).
>> 
>> Unfortunately that is all the information I can provide, although I can
>> see that it is probably insufficient to identify the problem.
>
> Andrew, any comments?  Is this perhaps already fixed in Emacs 29?

Further investigation reveal that this is not a general issue, but is
related to the specific select methods.

For my work setup I actually have, in addition to the settings above

  (nntp "fu_news"
        (nntp-address "news.fu-berlin.de")
	(remove-prefix nntp)
	(gnus-message-archive-group "nnimap+fu_exchange:Gesendete Elemente"))) 

Searching in newgroups subscribe to via the above also always returns no
messages.

However, in my private setup I have various email providers, such as GMX:

         (nnimap "gmx"
                  (nnimap-stream tls)
                  (remove-prefix "nnimap.")
                  (nnimap-record-commands t)
                  (nnimap-address "imap.gmx.com"))
  
If I add this to my work setup, search results within folders in the GMX
account *do* produce results.  Searching within the Exchange folder or the
NNTP groups still fails. 

Is there anything I can do to help debug the problem?

Cheers,

Loris
 
-- 
Dr. Loris Bennett (Herr/Mr)
ZEDAT, Freie Universität Berlin